Debian Bug report logs - #672104
ITP: pv-grub-menu.lst -- <missing description>

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Charles Plessy <plessy@debian.org>

Date: Tue, 8 May 2012 13:57:20 UTC

Owned by: plessy@debian.org

Severity: wishlist

Fixed in version pv-grub-menu/1.2

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, smoser@ubuntu.com, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#672104; Package grub2. (Tue, 08 May 2012 13:57:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to smoser@ubuntu.com, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 08 May 2012 13:57:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: submit@bugs.debian.org
Subject: Proposal to add function to generate a menu.lst file in grub2, based on Ubuntu's grub-legacy-ec2 package.
Date: Tue, 8 May 2012 22:53:09 +0900
Package: grub2
Severity: wishlist

Dear GRUB2 maintainers,

Some systems booted by PV-Grub need a menu.lst file like the one created
by grub1, but without GRUB itself.  Such systems include computer cloud
systems like Amazon's Elastic Computer Cloud.

In Ubuntu, there is a package, called grub-legacy-ec2, that provides kernel
hooks and and update script to maintain the menu.lst file when kernels are
changed.

Given that in some cases one may want to co-install grub-legacy-ec2 and grub-pc,
it would be useful to let these packages share their configuration and helper
scripts, such as grub-set-default.

Would you be interested to maintain the contents of the current grub-legacy-ec2
package of Ubuntu, or a similar code to generate menu.lst files, within the
grub2 package ?  I of course offer my help to take care of it.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Bug reassigned from package 'grub2' to 'wnpp'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 23:45:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: pv-grub-menu.lst' from 'Proposal to add function to generate a menu.lst file in grub2, based on Ubuntu's grub-legacy-ec2 package.' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 23:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Thu, 10 May 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #14 received at 672104@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 672104@bugs.debian.org
Subject: Re: ITP: pv-grub-menu.lst
Date: Thu, 10 May 2012 03:33:57 +0200
Charles Plessy, le Thu 10 May 2012 08:41:33 +0900, a écrit :
> I send this ITP with a more generic name that I feel is more
> descriptive, unless it is only useful on the Amazon EC2.

I believe it is useful outside EC2.  I would actually use it for my VMs.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Thu, 10 May 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 672104@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Charles Plessy <plessy@debian.org>
Cc: 672104@bugs.debian.org
Subject: Re: ITP: pv-grub-menu.lst
Date: Thu, 10 May 2012 14:41:23 +0100
Hi Charles,

I've not looked at the tool yet, but I wonder if this might be something
which could be usefully maintained as part of the upstream Xen project
(of which I'm one maintainer) alongside pygrub.

Or is the tool mostly about the Debian integration rather than the
generation of a compatible menu.lst?

What do you think?

Ian.

On Thu, 2012-05-10 at 08:41 +0900, Charles Plessy wrote:
> reassign 672104 wnpp
> retitle 672104 ITP: pv-grub-menu.lst
> 
> Dear all,
> 
> Some systems booted by PV-Grub need a menu.lst file like the one created by
> grub1, but without GRUB itself on the MBR.  Such systems include computer cloud
> systems like Amazon's Elastic Computer Cloud.  Some methods to create such
> systems do not fit well with installing the grub-legacy package, as there may
> be no MBR available.
>  
> In Ubuntu, there is a binary package, called grub-legacy-ec2, that provides
> kernel hooks and and update script to maintain the menu.lst file when kernels
> are changed.  This package is part of the cloud-init source package, but is
> unrelated to the upstream cloud-init source.  In Debian, cloud-init will be
> maintained in the Python Applications Packaging Team, and grub-legacy-ec2 does
> not fit well there, as it is not a python application.
> 
> After discussion with the Ubuntu maintainer of the cloud-init package, our plan
> is to provide the functions of grub-legacy-ec2 in a separate source package.  I
> send this ITP with a more generic name that I feel is more descriptive, unless
> it is only useful on the Amazon EC2.  But I am open to keep the original name
> if it helps.
> 
> People interested in co-maintaining this package, we welcome you.
> 
> Currently my plan is to set up a Git repository on collab-maint, with the
> grub-legacy-ec2 part of Ubuntu's cloud-init source package as a starting point.
> GRUB Maintainers, I would be happy to place the package under your umbrella if
> you are intersted.  I would like to interface well with grub2, perhaps through
> depending on grub2-common if possible, in order to be co-installable with
> grub-pc without diversions.
> 
> For those who wonder why this ITP is not about bioinformatics, this is part of
> my long-standing goal of developping a fully debian-contained, preseedable, and
> unattended procedure to prepare Debian Med images for computer clouds.
> 
> (see http://charles.plessy.org/Debian/debiâneries/installeur-debian-dans-un-nuage/ ) 
> 
> Have a nice day,
> 
> -- 
> Charles Plessy
> Debian Med packaging team,
> http://www.debian.org/devel/debian-med
> Tsurumi, Kanagawa, Japan
> 
> 
> 

-- 
Ian Campbell
Current Noise: Vader - Out Of The Deep

Well, I think we should get some bricks and some bats, and show him
the *true* meaning of Christmas!'
		-- Bernice, "Designing Women", 12/2/91.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Thu, 10 May 2012 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 23:45:06 GMT) Full text and rfc822 format available.

Message #24 received at 672104@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ian Campbell <ijc@hellion.org.uk>, 672104@bugs.debian.org
Subject: Re: ITP: pv-grub-menu.lst
Date: Fri, 11 May 2012 08:42:31 +0900
Le Thu, May 10, 2012 at 02:41:23PM +0100, Ian Campbell a écrit :
> 
> I've not looked at the tool yet, but I wonder if this might be something
> which could be usefully maintained as part of the upstream Xen project
> (of which I'm one maintainer) alongside pygrub.
> 
> Or is the tool mostly about the Debian integration rather than the
> generation of a compatible menu.lst?
> 
> What do you think?

Hello,

that would be great if this facility could be shared in Xen, as it would
benefit more users than just in Debian.

Currently it looks like the whole scripts are debian-specific.  I have
pushed them in a Git repository on Alioth so that you can browse them.

  http://git.debian.org/?p=collab-maint/pv-grub-menu.lst.git;a=tree;f=debian

Among them, update-grub-legacy-ec2 is the one that creates menu.lst.  The
others are Debian-specific hooks for package installation and automatic
refreshing when a new kernel is installed.

update-grub-legacy-ec2 is derived from update-grub scripts that are also
Debian-specific.  But if they could be replaced by something more generic, that
would be great.  I guess the next step is to look at how Fedora does...

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Fri, 11 May 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 11 May 2012 15:21:12 GMT) Full text and rfc822 format available.

Message #29 received at 672104@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Charles Plessy <plessy@debian.org>
Cc: 672104@bugs.debian.org
Subject: Re: ITP: pv-grub-menu.lst
Date: Fri, 11 May 2012 16:17:39 +0100
On Fri, 2012-05-11 at 08:42 +0900, Charles Plessy wrote:
> Le Thu, May 10, 2012 at 02:41:23PM +0100, Ian Campbell a écrit :
> > 
> > I've not looked at the tool yet, but I wonder if this might be something
> > which could be usefully maintained as part of the upstream Xen project
> > (of which I'm one maintainer) alongside pygrub.
> > 
> > Or is the tool mostly about the Debian integration rather than the
> > generation of a compatible menu.lst?
> > 
> > What do you think?
> 
> Hello,
> 
> that would be great if this facility could be shared in Xen, as it would
> benefit more users than just in Debian.
> 
> Currently it looks like the whole scripts are debian-specific.  I have
> pushed them in a Git repository on Alioth so that you can browse them.
> 
>   http://git.debian.org/?p=collab-maint/pv-grub-menu.lst.git;a=tree;f=debian
> 
> Among them, update-grub-legacy-ec2 is the one that creates menu.lst.  The
> others are Debian-specific hooks for package installation and automatic
> refreshing when a new kernel is installed.
> 
> update-grub-legacy-ec2 is derived from update-grub scripts that are also
> Debian-specific.

Right, so this script relies at least partially on Debian specific
naming conventions for files under /boot and similar distro specifics. I
suppose I knew that but hadn't consciously realised it. That needn't
mean we can't take it into upstream Xen but perhaps your first instinct
of trying to maintain it under the Grub package umbrella makes more
sense.

Another option might be to maintain as part of pkg-xen in Debian. If it
went upstream it'd still need to be packaged, and doing that as part of
the pkg-xen effort would probably make sense.

>   But if they could be replaced by something more generic, that
> would be great.  I guess the next step is to look at how Fedora does...

Not sure about Fedora but IIRC CentOS (AKA RHEL) has "grubby" which is a
C program for updating the menu.lst from kernel postinst hooks.

Can I just check I understand the motivation for this script properly.

There are two ways of setting up the disk for a VM.

The first is the "whole disk" scheme. In this configuration the VM
configuration contains the entire "xvda" which contains a partition
table in the usual way. In this configuration either grub-legacy or
grub-pc can be installed and "grub-install /dev/xvda" does the right
thing including setting up the MBR. This is useful because you can flip
quite easily from PV to HVM just by changing the VM config and
rebooting. (This is the setup I generally use myself, so I'm mostly
familiar with it)

The second scheme is the "split partitions" scheme. In this
configuration the VM config contains "xvda1" and "xvda2" etc which
appear to the guest OS as partitions but critically there is no overall
"xvda" and therefore no partition table. This means that "grub-install"
cannot work. This is the configuration which EC2 etc use and therefore
this update-grub variant is necessary.

Is that right?

I guess the bit I am missing is what is it about the second
configuration (lack of MBR space, "grub-install" fails etc) which means
that the regular "update-grub" script (either grub-legacy or grub-pc)
fails? is it actually a failure in update-grub itself or does it e.g.
make the package installation noisy due to "grub-install" failing?

I guess what I'm getting at is can we fix this by either fixing
update-grub in some way or by changing the packaging so that update-grub
can be available without causing attempts to run grub-install.

(I fully expect the answer to the above is "No" otherwise this script
likely wouldn't exist, I just want to check I understand)

Ian.
-- 
Ian Campbell
Current Noise: Annihilator - Freed From The Pit (Demo Of "Road To Ruin")

Join the Navy; sail to far-off exotic lands, meet exciting interesting people,
and kill them.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Thu, 24 May 2012 00:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 May 2012 00:12:07 GMT) Full text and rfc822 format available.

Message #34 received at 672104@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 672104@bugs.debian.org
Subject: Re: ITP: pv-grub-menu.lst
Date: Thu, 24 May 2012 09:08:07 +0900
Le Fri, May 11, 2012 at 04:17:39PM +0100, Ian Campbell a écrit :
> 
> Can I just check I understand the motivation for this script properly.
> 
> There are two ways of setting up the disk for a VM.
> 
> The first is the "whole disk" scheme. In this configuration the VM
> configuration contains the entire "xvda" which contains a partition
> table in the usual way. In this configuration either grub-legacy or
> grub-pc can be installed and "grub-install /dev/xvda" does the right
> thing including setting up the MBR. This is useful because you can flip
> quite easily from PV to HVM just by changing the VM config and
> rebooting. (This is the setup I generally use myself, so I'm mostly
> familiar with it)
> 
> The second scheme is the "split partitions" scheme. In this
> configuration the VM config contains "xvda1" and "xvda2" etc which
> appear to the guest OS as partitions but critically there is no overall
> "xvda" and therefore no partition table. This means that "grub-install"
> cannot work. This is the configuration which EC2 etc use and therefore
> this update-grub variant is necessary.
> 
> Is that right?

Exactly.

When installing Debian on a EC2 volume with Debian Installer, the partition is
a "whole disk", completely usable by grub.  But that means that when the newly
prepared Debian system is booted, it is a root partition, which is "split
partitions" in the Amazon cloud and grub hooks will fail when installing a new
kernel (I did not have time to triplecheck).  Perhaps that could be solved by
making the hooks checking for the availability of a MBR before running grub,
but the grub packages are quite critical, and I am not sure how this additional
complexity would be welcome.  In addition there is a second problem.

Pv-grub needs a menu.lst file that is made by GRUB 1.  But Debian's GRUB 1
package is in maintainance-only mode, I do not know what are the plans to
remove it eventually, but once GRUB 2 can replace it in all cases, this may
happen.  So it is probably better to have a menu.lst-builder script for
pv-grub maintained somewhere else.  The pkg-xen project on Alioth is a good
idea indeed.

Or maybe pv-grub could be extended to parse menu.cfg files ?  But I do not
know how long it would take for this new function to propagate to Amazon.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672104; Package wnpp. (Tue, 29 May 2012 09:54:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 May 2012 09:54:39 GMT) Full text and rfc822 format available.

Message #39 received at 672104@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Charles Plessy <plessy@debian.org>, 672104@bugs.debian.org
Cc: pkg-xen-devel@lists.alioth.debian.org
Subject: Re: Bug#672104: ITP: pv-grub-menu.lst
Date: Tue, 29 May 2012 10:51:54 +0100
On Thu, 2012-05-24 at 09:08 +0900, Charles Plessy wrote:
> Le Fri, May 11, 2012 at 04:17:39PM +0100, Ian Campbell a écrit :
> > 
> > Can I just check I understand the motivation for this script properly.
> > 
> > There are two ways of setting up the disk for a VM.
> > 
> > The first is the "whole disk" scheme. In this configuration the VM
> > configuration contains the entire "xvda" which contains a partition
> > table in the usual way. In this configuration either grub-legacy or
> > grub-pc can be installed and "grub-install /dev/xvda" does the right
> > thing including setting up the MBR. This is useful because you can flip
> > quite easily from PV to HVM just by changing the VM config and
> > rebooting. (This is the setup I generally use myself, so I'm mostly
> > familiar with it)
> > 
> > The second scheme is the "split partitions" scheme. In this
> > configuration the VM config contains "xvda1" and "xvda2" etc which
> > appear to the guest OS as partitions but critically there is no overall
> > "xvda" and therefore no partition table. This means that "grub-install"
> > cannot work. This is the configuration which EC2 etc use and therefore
> > this update-grub variant is necessary.
> > 
> > Is that right?
> 
> Exactly.
> 
> When installing Debian on a EC2 volume with Debian Installer, the partition is
> a "whole disk", completely usable by grub.  But that means that when the newly
> prepared Debian system is booted, it is a root partition, which is "split
> partitions" in the Amazon cloud and grub hooks will fail when installing a new
> kernel (I did not have time to triplecheck).

So it is whole disk at install time and split partition at run time?
Wow! I guess I need to try amazon some time so I can see these quirks
for myself...

> Perhaps that could be solved by
> making the hooks checking for the availability of a MBR before running grub,
> but the grub packages are quite critical, and I am not sure how this additional
> complexity would be welcome.

Yes, I can see that being tricky to get right, without regressing the
normal cases.

> In addition there is a second problem.
> 
> Pv-grub needs a menu.lst file that is made by GRUB 1.

Ah, this is a wrinkle I hadn't considered before, I tend to think about
pygrub (which can do GRUB 2) and always forget that EC2 uses pvgrub!

>   But Debian's GRUB 1
> package is in maintainance-only mode, I do not know what are the plans to
> remove it eventually, but once GRUB 2 can replace it in all cases, this may
> happen.  So it is probably better to have a menu.lst-builder script for
> pv-grub maintained somewhere else.  The pkg-xen project on Alioth is a good
> idea indeed.

I've CC'd the pkg-xen list, perhaps waldi has an opinion...

> Or maybe pv-grub could be extended to parse menu.cfg files ?

There was mention of a project to turn grub2 into a pv-grub2 at one
point, but I'm not sure who that was or what the status is.

>   But I do not
> know how long it would take for this new function to propagate to Amazon.

Indeed.

> Have a nice day,
> 
> -- 
> Charles Plessy
> Tsurumi, Kanagawa, Japan
> 
> 
> 

-- 
Ian Campbell

The system will be down for 10 days for preventive maintenance.





Owner recorded as plessy@debian.org. Request was from Nathan Handler <nhandler@ubuntu.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 17:12:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: pv-grub-menu.lst -- <missing description>' from 'ITP: pv-grub-menu.lst' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 18:03:10 GMT) Full text and rfc822 format available.

Added indication that 672104 affects cloud.debian.org Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 04:06:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 11 Aug 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Tue, 17 Dec 2013 01:03:04 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Tue, 17 Dec 2013 01:03:05 GMT) Full text and rfc822 format available.

Message #52 received at 672104-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 672104-close@bugs.debian.org
Subject: Bug#672104: fixed in pv-grub-menu 1.2
Date: Tue, 17 Dec 2013 01:00:05 +0000
Source: pv-grub-menu
Source-Version: 1.2

We believe that the bug you reported is fixed in the latest version of
pv-grub-menu, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated pv-grub-menu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 Sep 2013 08:36:20 +0900
Source: pv-grub-menu
Binary: pv-grub-menu
Architecture: source all
Version: 1.2
Distribution: unstable
Urgency: low
Maintainer: Charles Plessy <plessy@debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 pv-grub-menu - Creates a menu.lst file for PV-GRUB
Closes: 672104
Changes: 
 pv-grub-menu (1.2) unstable; urgency=low
 .
   * Initial released prepared from update-grub (0.97-66) (Closes: #672104).
Checksums-Sha1: 
 9373ff917e433a723a0aa8ede2d8eab66714573b 1583 pv-grub-menu_1.2.dsc
 3c33ffb249eef903d34986123092fef00403421b 10683 pv-grub-menu_1.2.tar.gz
 6a910818d152b12e24718493e32ed74d238717b0 11168 pv-grub-menu_1.2_all.deb
Checksums-Sha256: 
 b0258aace5695bbcde53a0ec692ac9976d17a30cb115b511e080ec981332c773 1583 pv-grub-menu_1.2.dsc
 7e673b7edefd19d63a2cc95fbc7f8bfdfccf1520e18b68daa1a126a7ad4ee0e4 10683 pv-grub-menu_1.2.tar.gz
 b851ac81cbc0b2f76bad173bba9ad13ee1c867bb6b38c28cbe1a69aaed7910b4 11168 pv-grub-menu_1.2_all.deb
Files: 
 648cb6334123b530e57dbc109edb5a64 1583 admin optional pv-grub-menu_1.2.dsc
 194005844395346aeb0869ad415eb9f9 10683 admin optional pv-grub-menu_1.2.tar.gz
 edc296e394b2a82dde6461d874d1205a 11168 admin optional pv-grub-menu_1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSL63yAAoJEMW9bI8ildUC3cYP/jWTFUuvv1TvqlMq1Rb3a3IZ
q0oXjeW9oNfU1nXWdwdVz6FOMV0VxdjuA2PX+jrggjqCX1Ka/XJleApzvxtonTXz
hDSLwZuloSvfKFycq95ToImAUoXqkly1VH/uOv1Mqop76mEuMEmDNR1VWIFqroll
ctlp1XCWF2JdrcWO5lNaKXtKGGBbzljyiBLFAnbaYVmHPKuxVHVrKwwmyVBpOJtF
j57pCuOHKa1E0wrAL7vSbqJ4B7ipbaEo6fXeFBoJYbMG02a3IL9oCt/lz6zKF5Yb
oHuG1zCRqBV19BuXHotVxwZbIjbIMsRiwlBp9zdRngAp52D3xerG1m90ofETqTm3
NZoMiFhEhdkfviaT76v9z4EPHTzs6zp4oFeMH2JmKYv8pZE9cHlu4B8S572Bztnz
SlU4cfV0aDsYfp/4yOJFBl1eT+FEkBvxQcUndO5I5dml+2zzaAbHXmy56pW8LDq2
199viwGb3VgEYfiQhcVdKAodUE8mpwLOO1bfheYLcNp2opTgxnIA+UO+FOXXdCYA
bsQG9c7P1PuAxxYe8/c2/s8swyY0HyWH7fTHBx8WeAwPUHUsfLvtY6FPSmo6oBH2
Ler+wmwTwgd1Q01tb7mor8oqQWD0gxjd0SZrOt5JdjFKwyP2nLCvD/MAkPbQJ0XE
0h90Ubt7BvwMzUcQ+Bgy
=2eWO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, plessy@debian.org:
Bug#672104; Package wnpp. (Thu, 19 Dec 2013 02:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, plessy@debian.org. (Thu, 19 Dec 2013 02:33:05 GMT) Full text and rfc822 format available.

Message #57 received at 672104@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: debian-devel@lists.debian.org, ftpmaster@debian.org, 672104@bugs.debian.org
Subject: Re: Last call for pv-grub-menu.
Date: Thu, 19 Dec 2013 02:29:58 +0000
On Sun, Dec 15, 2013 at 12:11:23AM +0900, Charles Plessy wrote:
> Le Sat, Dec 14, 2013 at 09:17:58AM +0000, Ian Campbell a écrit :
> > Do you have a reference to the conversation you had with the grub(1,2)
> > maintainers? I don't see it in the pkg-grub-devel archives.
> 
> Hi Ian,
> 
> there was no conversation with the GRUB maintainers, however, they have seen
> http://bugs.debian.org/672104, which was a whishlist bug on GRUB2 before
> becoming an ITP.  I take their silence as an evidence for their lack of
> interest, which is totally justified.

Sorry I never responded to this.  I think it is probably true that we
have little interest in maintaining this as such, as part of our general
lack of interest in much more than bare-bones ongoing maintenance for
GRUB Legacy-related code (I have been doing some minimal amount of this
but it's really not anyone's focus), so I'm glad that you're doing so
and I support it being a separate package.


For what it's worth, we do now have a PV-GRUB2, thanks to considerable
work upstream; I recently uploaded a new version of grub2 to
experimental that ships a grub-xen-bin binary package with the raw
kernel and modules, and a skeletal grub-xen binary package which
currently does nothing of interest but will hopefully soon install a
loader in a conventional location within a domU that can be picked up by
a dom0.  grub-xen-bin can be made to work even now with some manual
assembly, so I'm happy that we have at least a proof of concept.

We're still fleshing out the details (see recent threads on grub-devel),
and I need to write up a proper boot protocol for attention from
xen-devel, but I hope we can get to the point where it can even be
loaded by PV-GRUB1 with maybe just a simple shim menu.lst.  If we try
really hard we might even be able to have compatibility in the other
direction as well.

Obviously it will take some time to filter through everywhere, but I
rather hope that eventually both PV-GRUB1 and pv-grub-menu will be able
to die a natural death.  In the meantime it certainly serves a useful
purpose.

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, plessy@debian.org:
Bug#672104; Package wnpp. (Thu, 19 Dec 2013 08:33:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, plessy@debian.org. (Thu, 19 Dec 2013 08:33:18 GMT) Full text and rfc822 format available.

Message #62 received at 672104@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-devel@lists.debian.org
Cc: Charles Plessy <plessy@debian.org>, 672104@bugs.debian.org
Subject: Re: Last call for pv-grub-menu.
Date: Thu, 19 Dec 2013 09:32:24 +0100
Colin Watson, le Thu 19 Dec 2013 02:29:58 +0000, a écrit :
> If we try really hard we might even be able to have compatibility in
> the other direction as well.

I've not tested, but there is no reason why it shouldn't work.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, plessy@debian.org:
Bug#672104; Package wnpp. (Thu, 19 Dec 2013 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, plessy@debian.org. (Thu, 19 Dec 2013 10:51:04 GMT) Full text and rfc822 format available.

Message #67 received at 672104@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: debian-devel@lists.debian.org
Cc: Charles Plessy <plessy@debian.org>, 672104@bugs.debian.org
Subject: Re: Last call for pv-grub-menu.
Date: Thu, 19 Dec 2013 10:47:24 +0000
On Thu, Dec 19, 2013 at 09:32:24AM +0100, Samuel Thibault wrote:
> Colin Watson, le Thu 19 Dec 2013 02:29:58 +0000, a écrit :
> > If we try really hard we might even be able to have compatibility in
> > the other direction as well.
> 
> I've not tested, but there is no reason why it shouldn't work.

The main delicate bit is reading the domU menu.lst that would be in use
in this setup.  GRUB 2 has legacy_configfile et al that should do the
job, but it's not the most broadly-tested area of GRUB so there could be
problems there.

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jan 2014 07:26:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:45:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.